For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet External System
        • POSTCreate/Update External Entity
        • GETConnect External System
        • GETSync External System
Logo
Sign inBook a demo
API ReferenceEntityExternal Accounting System

Create/Update External Entity

POST
https://api.mercoa.com/entity/:entityId/external-accounting-system/create
POST
/entity/:entityId/external-accounting-system/create
$curl -X POST https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/external-accounting-system/create \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "rutter",
> "accessToken": "123"
>}'
1{
2 "type": "rutter",
3 "accessToken": "123"
4}

Create/Link an entity to an external accounting system like Codat or Rutter. If the entity is already linked to an external accounting system, this will return the existing connection.

Was this page helpful?
Previous

Connect External System

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID

Request

This endpoint expects an object.
codatobjectRequired
OR
rutterobjectRequired

Response

This endpoint returns an object.
codatobject
OR
rutterobject
OR
noneobject

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented